commit:     d7b261cc46c74fd27cd3f253025c0121cc2989c0
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Sat Nov  7 05:44:09 2020 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Fri Nov 13 21:28:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7b261cc

app-crypt/trousers: Bump to 0.3.15

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/18162
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 app-crypt/trousers/Manifest               |  1 +
 app-crypt/trousers/trousers-0.3.15.ebuild | 65 +++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/app-crypt/trousers/Manifest b/app-crypt/trousers/Manifest
index bbdd6825240..84891c9a886 100644
--- a/app-crypt/trousers/Manifest
+++ b/app-crypt/trousers/Manifest
@@ -1 +1,2 @@
 DIST trousers-0.3.14.tar.gz 1378438 BLAKE2B 
3dc2824fa2ca1b1f1181f98d59e85276e7d38af4bfc07ee8246431d9ccb300a8e0820b318643d4cf5d757d2a49492c8686e2fe9de03484263d2189d4bbaa32d0
 SHA512 
bf87f00329cf1d76a12cf6b6181fa22f90e76af3c5786e6e2db98438d2d3f0c0e05364374664173f45e3a2f6c0e2364948d0b958a7845cb23fcb340150cd9b21
+DIST trousers-0.3.15.tar.gz 4699936 BLAKE2B 
53c60498ed6a9d3d87295b00676e5d0d82452918c35af6b98c7979ffa2dc04dd817e7cd3f4a33ca17c30b90eab53d80b2bb25306fe9db7bda2125019edfed280
 SHA512 
769c7d891c6306c1b3252448f86e3043ee837e566c9431f5b4353512113e2907f6ce29c91e8044c420025b79c5f3ff2396ddce93f73b1eb2a15ea1de89ac0fdb

diff --git a/app-crypt/trousers/trousers-0.3.15.ebuild 
b/app-crypt/trousers/trousers-0.3.15.ebuild
new file mode 100644
index 00000000000..94a40dd74e3
--- /dev/null
+++ b/app-crypt/trousers/trousers-0.3.15.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools linux-info readme.gentoo-r1 systemd udev
+
+DESCRIPTION="An open-source TCG Software Stack (TSS) v1.1 implementation"
+HOMEPAGE="http://trousers.sf.net";
+SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
+
+LICENSE="CPL-1.0 GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~m68k ~ppc ~ppc64 ~s390 ~x86"
+IUSE="doc libressl selinux" # gtk
+
+# gtk support presently does NOT compile.
+#      gtk? ( >=x11-libs/gtk+-2 )
+
+DEPEND="acct-group/tss
+       acct-user/tss
+       >=dev-libs/glib-2
+       !libressl? ( >=dev-libs/openssl-0.9.7:0= )
+       libressl? ( dev-libs/libressl:0= )"
+RDEPEND="${DEPEND}
+       selinux? ( sec-policy/selinux-tcsd )"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-0.3.13-nouseradd.patch"
+       "${FILESDIR}/${PN}-0.3.14-Makefile.am-Mark-tddl.a-nodist.patch"
+)
+
+DOCS="AUTHORS ChangeLog NICETOHAVES README TODO"
+
+DOC_CONTENTS="
+       If you have problems starting tcsd, please check permissions and
+       ownership on /dev/tpm* and ~tss/system.data
+"
+
+CONFIG_CHECK="~TCG_TPM"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       # econf --with-gui=$(usex gtk gtk openssl)
+       econf --with-gui=openssl
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+
+       keepdir /var/lib/tpm
+       use doc && dodoc doc/*
+       newinitd "${FILESDIR}"/tcsd.initd tcsd
+       newconfd "${FILESDIR}"/tcsd.confd tcsd
+       systemd_dounit "${FILESDIR}"/tcsd.service
+       udev_dorules "${FILESDIR}"/61-trousers.rules
+       fowners tss:tss /var/lib/tpm
+       readme.gentoo_create_doc
+}

Reply via email to